ACE2 is (or was) a software package for contrast transfer function (CTF) estimation and correction. It was written in an early version of objective-c and linked to several libraries of very old versions. As such, on a modern Linux system, such as Ubuntu, you have to do some extra work to get it working after downloading and extracting the ACE2 package.

  1. You need libobjc2. An rpm package is available on the web, but there is no package for deb-based distros. As such, download the rpm and extract the files using rpm2cpio. Copy the two files “libobj.so.2” and “libobj.so.2.0.0” into /usr/lib/x86_64-linux-gnu.
  2. Install libfftw3-3 and libgsl23 using apt. Note that the version number may vary depending on which version of Ubuntu you are running.
  3. ACE2 used a very old version of libgsl, so we have to manually make a symbolic link. Go to /usr/lib/x86_64-linux-gnu and run the following:
    sudo ln -s libgsl.so.23 libgsl.so.0
  4. Now you should be able to run ace2.exe and ace2correct.exe!